#ifndef MENU_H
#define MENU_H

#include <QLabel>
#include <QtDBus>
#include "global.h"
#include <QGraphicsItem>

class menuObject : public QLabel {
Q_OBJECT
Q_CLASSINFO("D-Bus Interface", "org.kochkin.okindd")
private:
	void changeMenu ();
	bool isSelected;
private slots:
	void hideMenu();
	void contMenu();
public:
	menuObject(QLabel * parent = 0);
	virtual ~menuObject();
	QString cProfile;
	int current, mSize, itemPicSize, itemsCount, msTimeOff, offset, radius, cAngle, animTime;
	QTimer *timeOff;
	double kCenter;
signals:
	void printText (QString profile, QString message, int time);
	void hideText ();
public slots:
	void showMenu (QString profile);
	void next(QString profile);
	void prev(QString profile);
	void select();
};
#endif
