#ifndef __TEXT_H__
#define __TEXT_H__

#include <QLabel>
#include <QtDBus>
#include <QMouseEvent>
#include <QDesktopWidget>
#include <QPainter>
#include <QBitmap>
#include "global.h"

class textObject : public QLabel{
Q_OBJECT
Q_CLASSINFO("D-Bus Interface", "org.kochkin.okindd")
public:
	textObject (QLabel * parent = 0);
	virtual ~textObject();
	QTimer *timer;
	QLabel *messLabel;
	int offset;
	QPixmap *shadow;
private:
	virtual void paintEvent (QPaintEvent *);
protected:
public slots:
	void printText (QString profile, QString message, int time);
	void printTextWithDBUS (QString profile, QString messWithDBUS, int time);
	void hideText();
};
#endif // __TEXT_H__
