#ifndef PICTURE_H
#define PICTURE_H

#include <QLabel>
#include <QtDBus>
#include <QMouseEvent>
#include <QDesktopWidget>
#include <QPainter>
#include <QBitmap>
#include "global.h"

class pic : public QLabel{
Q_OBJECT
Q_CLASSINFO("D-Bus Interface", "org.kochkin.okindd")
public:
	pic(QLabel * parent = 0);
	virtual ~pic();

	void showCurrent();
	QTimer * time;
	int posVert, posHor;
	QPixmap * picture_pic;
	float opacity;

protected:
	virtual void paintEvent (QPaintEvent *);
	virtual void mouseMoveEvent (QMouseEvent *e);
	virtual void mousePressEvent (QMouseEvent *e);
	virtual void mouseReleaseEvent (QMouseEvent *);
public slots:
	void setPosition (QString hPosition, QString vPosition);
	void hidePicture();
	void showPicture();
	void setOpacity (QString Opacity);
	void setPicture (QString pictureFile);
	void Picture (QString File, QString Left, QString Top, int Time);
};
#endif
